package de.ozgcloud.nachrichten.postfach;

import de.ozgcloud.vorgang.common.GrpcObject;
import de.ozgcloud.vorgang.common.GrpcProperty;

public class GrpcPostfachAddressTestFactory {

	public final static int ADDRESS_TYPE = 1;
	public static final String ADDRESS_VERSION = "1.0";
	public static final String POSTFACH_TYPE = "postfachType";

	public static final String FIELD_POSTFACH_ID = "postfachId";

	public static GrpcPostfachAddress create() {
		return createBuilder().build();
	}

	public static GrpcPostfachAddress.Builder createBuilder() {
		return GrpcPostfachAddress.newBuilder()
				.setType(ADDRESS_TYPE)
				.setIdentifier(createIdentifier())
				.setVersion(ADDRESS_VERSION)
				.setServiceKontoType(POSTFACH_TYPE);

	}

	public static GrpcObject createIdentifier() {
		return createIdentifier(GrpcPostfachMailTestFactory.POSTFACH_ID);
	}

	public static GrpcObject createIdentifier(String postfachId) {
		return GrpcObject.newBuilder()
				.addProperty(GrpcProperty.newBuilder()
						.setName(FIELD_POSTFACH_ID)
						.addValue(postfachId)
						.build())
				.build();
	}
}