/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.nachrichten.attributes;

import static org.mockito.Mockito.*;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mockito.InjectMocks;
import org.mockito.Mock;

class ClientAttributeServiceTest {

	private static final String VORGANG_ID = "81";

	@InjectMocks
	private ClientAttributeService service;
	@Mock
	private ClientAttributeRemoteService remoteService;

	@Nested
	class TestSetHasNachricht {

		@Test
		void shouldCallRemoteService() {
			service.setHasPostfachNachricht(VORGANG_ID);

			verify(remoteService).setBooleanReadOnlyClientAttribute(VORGANG_ID, ClientAttributeService.ATTRIBUTE_NAME_HAS_POSTFACH_NACHRICHT, true);
		}
	}

	@Nested
	class TestSetHasNewNachricht {
		@Test
		void shouldCallRemoteService() {
			service.setHasNewPostfachNachricht(VORGANG_ID);

			verify(remoteService).setBooleanWriteableClientAttribute(VORGANG_ID, ClientAttributeService.ATTRIBUTE_NAME_HAS_NEW_POSTFACH_NACHRICHT,
					true);
		}
	}
}
